﻿@model LMS.Models.Book

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>Book</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="BookID" />
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Faculty" class="control-label"></label>
                <input asp-for="Faculty" class="form-control" />
                <span asp-validation-for="Faculty" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Status" class="control-label"></label>
                <input asp-for="Status" class="form-control" />
                <span asp-validation-for="Status" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Author" class="control-label"></label>
                <input asp-for="Author" class="form-control" />
                <span asp-validation-for="Author" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="PublishedDate" class="control-label"></label>
                <input asp-for="PublishedDate" class="form-control" />
                <span asp-validation-for="PublishedDate" class="text-danger"></span>
            </div>
            
            <div class="form-group">
                <label asp-for="ModifiedTS" class="control-label"></label>
                <input asp-for="ModifiedTS" class="form-control" />
                <span asp-validation-for="ModifiedTS" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ModifiedBy" class="control-label"></label>
                <input asp-for="ModifiedBy" class="form-control" />
                <span asp-validation-for="ModifiedBy" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
